- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/list#body.ListLoyaltyProgramsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/list#try-it)

Retrieves the LoyaltyPrograms for the account.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1alpha/{parent=accounts/*/programs/*}/loyaltyPrograms`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account which owns the LoyaltyPrograms. Format: `accounts/{account}/programs/{program}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of LoyaltyPrograms to return. The service may return fewer than this value. If unspecified, at most 50 LoyaltyPrograms will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `loyaltyPrograms.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `loyaltyPrograms.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for loyaltyPrograms.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "loyaltyPrograms": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms#LoyaltyProgram`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `loyaltyPrograms[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms#LoyaltyProgram`)`` The LoyaltyPrograms of the merchant. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).